<?php

class Tag_Div extends Tag
{
	public function __construct($contents='',$attributes=array())
	{
		parent::__construct('div', $attributes, TAG_CLOSE);
		if( !is_array($contents) && !is_object($contents))
			$this->text($contents);
		if( is_array($contents) )
			foreach($contents as $node)
				$this->addChild($node);
		if( $contents instanceof Tag )
			$this->addChild($contents);
	}
}
